s|right|rm|rmf|rollup|run|sample|set|ship|split|stderr|stdin|stdout|store|stream|through|union|using|void)\b">
        <token type="Keyword"/>
      </rule>
    </state>
    <state name="builtins">
      <rule pattern="(AVG|BinStorage|cogroup|CONCAT|copyFromLocal|copyToLocal|COUNT|cross|DIFF|MAX|MIN|PigDump|PigStorage|SIZE|SUM|TextLoader|TOKENIZE)\b">
        <token type="NameBuiltin"/>
      </rule>
    </state>
    <state name="types">
      <rule pattern="(bytearray|BIGINTEGER|BIGDECIMAL|chararray|datetime|double|float|int|long|tuple)\b">
        <token type="KeywordType"/>
      </rule>
    </state>
    <state name="punct">
      <rule pattern="[;(){}\[\]]">
        <token type="Punctuation"/>
      </rule>
    </state>
    <state name="operators">
      <rule pattern="[#=,./%+\-?]">
        <token type="Operator"/>
      </rule>
      <rule pattern="(eq|gt|lt|gte|lte|neq|matches)\b">
        <token type="Operator"/>
      </rule>
      <rule pattern="(==|&lt;=|&lt;|&gt;=|&gt;|!=)">
        <token type="Operator"/>
      </rule>
    </state>
  </rules>
</lexer>